> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.melonly.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific member by Discord ID

> Get a specific member by Discord ID. Requires Bearer token authentication.



## OpenAPI

````yaml GET /server/members/discord/{discordId}
openapi: 3.0.0
info:
  contact: {}
  description: Melonlys Public API
  termsOfService: http://melonly.xyz/terms
  title: Melonly API
  version: '1.0'
servers:
  - url: https://api.melonly.xyz/api/v1
security: []
paths:
  /server/members/discord/{discordId}:
    get:
      tags:
        - members
      summary: Get a specific member by Discord ID
      description: >-
        Get a specific member by Discord ID. Requires Bearer token
        authentication.
      parameters:
        - description: Discord ID
          example: '"123456789012345678"'
          in: path
          name: discordId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successfully retrieved member details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.MemberAPIResponse'
        '400':
          description: invalid discord id parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.BadRequestResponse'
        '401':
          description: authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.UnauthorizedResponse'
        '404':
          description: Member not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.NotFoundResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.MemberAPIResponse:
      properties:
        createdAt:
          type: integer
        id:
          type: string
        roles:
          items:
            type: string
          type: array
        serverId:
          type: string
      type: object
    models.BadRequestResponse:
      properties:
        error:
          example: invalid request parameters
          type: string
      type: object
    models.UnauthorizedResponse:
      properties:
        error:
          example: authorization header is required
          type: string
      type: object
    models.NotFoundResponse:
      properties:
        error:
          example: the requested resource could not be found on this server
          type: string
      type: object
    models.InternalServerErrorResponse:
      properties:
        error:
          example: internal server error
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and the API token.
      in: header
      name: Authorization
      type: apiKey

````